Crypto++ 8.0 Free C++ class library of cryptographic schemes

Classes | Functions
seckey.h File Reference

Classes and functions for implementing secret key algorithms. More...

Go to the source code of this file.

## Classes
class | FixedBlockSize< N >
| Inherited by algorithms with fixed block size. More...
class | FixedRounds< R >
| Inherited by algorithms with fixed number of rounds. More...
class | VariableRounds< D, N, M >
| Inherited by algorithms with variable number of rounds. More...
class | FixedKeyLength< N, IV_REQ, IV_L >
| Inherited by keyed algorithms with fixed key length. More...
class | VariableKeyLength< D, N, M, Q, IV_REQ, IV_L >
| Inherited by keyed algorithms with variable key length. More...
class | SameKeyLengthAs< T, IV_REQ, IV_L >
| Provides key lengths based on another class's key length. More...
class | SimpleKeyingInterfaceImpl< BASE, INFO >
| Provides a base implementation of SimpleKeyingInterface. More...
class | BlockCipherImpl< INFO, BASE >
| Provides a base implementation of Algorithm and SimpleKeyingInterface for block ciphers. More...
class | BlockCipherFinal< DIR, BASE >
| Provides class member functions to key a block cipher. More...
class | MessageAuthenticationCodeImpl< BASE, INFO >
| Provides a base implementation of Algorithm and SimpleKeyingInterface for message authentication codes. More...
class | MessageAuthenticationCodeFinal< BASE >
| Provides class member functions to key a message authentication code. More...
struct | BlockCipherDocumentation
| Provides Encryption and Decryption typedefs used by derived classes to implement a block cipher. More...
struct | SymmetricCipherDocumentation
| Provides Encryption and Decryption typedefs used by derived classes to implement a symmetric cipher. More...
struct | AuthenticatedSymmetricCipherDocumentation
| Provides Encryption and Decryption typedefs used by derived classes to implement an authenticated encryption cipher. More...

## Functions
CipherDir | ReverseCipherDir (CipherDir dir)
| Inverts the cipher's direction. More...

## Detailed Description

Classes and functions for implementing secret key algorithms.

Definition in file seckey.h.

## Function Documentation

## ◆ ReverseCipherDir()

CipherDir ReverseCipherDir | ( | CipherDir | dir | ) |
| inline

Inverts the cipher's direction.

Parameters

  dir | the cipher's direction

Returns
  DECRYPTION if dir is ENCRYPTION, DECRYPTION otherwise

Definition at line 32 of file seckey.h.